Skip to content
Get started

Circle profile and summary stats

GET/api/v1/circles/{id}

Returns the circle's profile and aggregate counts (members, quests, posts).

The caller must be a member of the circle, or use a circle API key scoped to it.

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
id: optional string
createdAt: optional string
formatdate-time
description: optional string
discordUrl: optional string
emoji: optional string
isPrivate: optional boolean
memberCount: optional number
name: optional string
ownerId: optional string
postCount: optional number
questCount: optional number
xUrl: optional string

Circle profile and summary stats

curl https://racks.cash/api/v1/circles/$ID
{
  "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
  "createdAt": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "discordUrl": "https://discord.gg/abc",
  "emoji": "🔥",
  "isPrivate": true,
  "memberCount": 42,
  "name": "Degen Questers",
  "ownerId": "ownerId",
  "postCount": 300,
  "questCount": 7,
  "xUrl": "https://x.com/degenraiders"
}
Returns Examples
{
  "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
  "createdAt": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "discordUrl": "https://discord.gg/abc",
  "emoji": "🔥",
  "isPrivate": true,
  "memberCount": 42,
  "name": "Degen Questers",
  "ownerId": "ownerId",
  "postCount": 300,
  "questCount": 7,
  "xUrl": "https://x.com/degenraiders"
}